package cn.freemud.demo.manager.store;

import cn.freemud.demo.entities.DeliveryConfigBO;
import cn.freemud.demo.entities.GetStoreBO;
import cn.freemud.demo.entities.GetStoreInfoBO;
import cn.freemud.demo.entities.StoreInfoBO;
import com.freemud.application.sdk.api.storecenter.request.StoreInfoRequest;

import java.util.List;

public interface StoreService {

    List<String> getOrgIds(GetStoreBO getStoreBO);

    StoreInfoBO getStoreInfo(GetStoreInfoBO getStoreInfo);

    DeliveryConfigBO findDeliveryConfigByPartnerIdAndStoreId(String partnerId, String storeId);

}
